/**
 * ResearchSpace
 * Copyright (C) 2020, © Trustees of the British Museum
 * Copyright (C) 2015-2019, metaphacts GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
@import '~basic-styles.scss';

.create-ldp-resource-modal {
  &__form {
    .Select {
      width: 200px;
    }

    display: flex;
    justify-content: center;

    margin: $padding-base-vertical $padding-base-horizontal;

    &__collection-name {
      display: inline-block;
      width: auto;
      vertical-align: middle;
    }

    &__save-button {
      display: inline-block;
      width: auto;
      vertical-align: middle;
      @include button-variant($btn-primary-color, $btn-primary-bg, $btn-primary-border);
    }
  }
}

.pop-up-deletion-confirmation{
  position: fixed;
  border-radius: 30px;
  background-color: aqua;
  width: 300px;
  display: flex;
  flex-direction:column;
  padding: 16px;
  top:  50%;
  left: 50%;
  transform: translate(-50%,-50%);

  .pop-up-title{
    color: var(--Text-body-text, #29313A);
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
  }

  .pop-up-message{
    color: var(--Text-secondary-text, #525455);
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    border-width: 4px 0px;
    border-color: #525455;
  }

  .pop-up-buttons{
    display: flex;
    gap: 8px;
    justify-content: end;

    .pop-up-button-cancel{
      background-color: grey;
    }
    .pop-up-button-delete{
      background-color: red;
    }
  }
}

.pop-up-buttons{
  display: flex;
  gap: 8px;
  justify-content: end;

  .pop-up-button-cancel{
    background-color: grey;
  }
  .pop-up-button-delete{
    background-color: red;
  }
}
